io.agora.rtc

## Enum Constants.ApmMode

- java.lang.Object
- - java.lang.Enum<Constants.ApmMode>
  - - io.agora.rtc.Constants.ApmMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.ApmMode>
  Enclosing class:
    Constants

      public static enum Constants.ApmMode
      extends java.lang.Enum<Constants.ApmMode>

  ApmMode mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLE` Disable APM module.
    `ENABLE` Enable APM module.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the ApmMode

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.ApmMode` | `fromInt(int value)` Converts an integer value to its corresponding ApmMode enum constant.
    `int` | `getValue()` Gets the integer value of the APM module mode.
    `static Constants.ApmMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.ApmMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLE

          public static final Constants.ApmMode DISABLE

      Disable APM module.

    - #### ENABLE

          public static final Constants.ApmMode ENABLE

      Enable APM module.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the ApmMode

  - ### Method Detail

    - #### values

          public static Constants.ApmMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.ApmMode c : Constants.ApmMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.ApmMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the APM module mode.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.ApmMode fromInt(int value)

      Converts an integer value to its corresponding ApmMode enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding ApmMode, or null if the value is not found.